#ifndef __DISPLAYMENU_H
#define __DISPLAYMENU_H

#include <vdr/skins.h>

class cSkinElchiDisplayMenu : public cSkinDisplayMenu {
private:
  cOsd *osd;
  int x0, x1;
  int y0, y1, y2, y3, y4, y5;
  int lineHeight;
  void SetScrollbar(void);
public:
  cSkinElchiDisplayMenu(void);
  virtual ~cSkinElchiDisplayMenu();
  virtual void Scroll(bool Up, bool Page);
  virtual int MaxItems(void);
  virtual void Clear(void);
  virtual void SetTitle(const char *Title);
  virtual void SetButtons(const char *Red, const char *Green = NULL, const char *Yellow = NULL, const char *Blue = NULL);
  virtual void SetMessage(eMessageType Type, const char *Text);
  virtual void SetItem(const char *Text, int Index, bool Current, bool Selectable);
  virtual void SetEvent(const cEvent *Event);
  virtual void SetRecording(const cRecording *Recording);
  virtual void SetText(const char *Text, bool FixedFont);
  virtual void Flush(void);
  };

#endif //__DISPLAYMENU_H
