#ifndef __DISPLAYREPLAY_H
#define __DISPLAYREPLAY_H

#include <vdr/skins.h>

class cSkinElchiDisplayReplay : public cSkinDisplayReplay {
private:
  cOsd *osd;
  static cBitmap bmFfwd, bmFfwd1, bmFfwd2, bmFfwd3, bmFrew, 
	 bmFrew1, bmFrew2, bmFrew3, bmPause, bmPlay, bmSfwd,
	 bmSfwd1, bmSfwd2, bmSfwd3, bmSrew, bmSrew1, bmSrew2, bmSrew3;
  int x0, x1, x2, x3;
  int y0, y1, y2, y3;
  int lastCurrentWidth;
  bool message;
public:
  cSkinElchiDisplayReplay(bool ModeOnly);
  virtual ~cSkinElchiDisplayReplay();
  virtual void SetTitle(const char *Title);
  virtual void SetMode(bool Play, bool Forward, int Speed);
  virtual void SetProgress(int Current, int Total);
  virtual void SetCurrent(const char *Current);
  virtual void SetTotal(const char *Total);
  virtual void SetJump(const char *Jump);
  virtual void SetMessage(eMessageType Type, const char *Text);
  virtual void Flush(void);
  };

#endif //__DISPLAYREPLAY_H
