#ifndef __DISPLAYCHANNEL_H
#define __DISPLAYCHANNEL_H

#include <vdr/skins.h>

class cSkinElchiDisplayChannel : public cSkinDisplayChannel {
private:
  cOsd *osd;
  int logox, logoy;
  int x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10;
  int y0, y1, y2, y3, y4, y5, y6, y7, y8, y9;
  bool withInfo;
  int lineHeight;
  tColor frameColor;
  int timeWidth;
  bool message;
  const cEvent *present;
  int lastSeenPresent;
  int oldpresentvps;
  static cBitmap bmVps, bmTeletext, bmRadio, bmAudio, bmDolbyDigital, bmEncrypted, bmRecording;
  int setchannel_x;
public:
  cSkinElchiDisplayChannel(bool WithInfo);
  virtual ~cSkinElchiDisplayChannel();
  virtual void SetChannel(const cChannel *Channel, int Number);
  virtual void SetEvents(const cEvent *Present, const cEvent *Following);
  virtual void SetMessage(eMessageType Type, const char *Text);
  virtual void Flush(void);
};

#endif //__DISPLAYCHANNEL_H
