#ifndef __SKINELCHI_SETUP_H
#define __SKINELCHI_SETUP_H

#include <vdr/plugin.h>
#include "definitions.h"

struct cSkinElchiSetup {
	cSkinElchiSetup(void);

	bool SetupParse(const char *Name, const char *Value);

	int logo;
	int color;
	int hidemenu;
	char menuentry[50];
	char tempcolor[8];
};

extern cSkinElchiSetup SkinElchiSetup;


class cSkinElchiSetupPage : public cMenuSetupPage {
private:
    cSkinElchiSetup mySkinElchiSetup;

protected:
    virtual eOSState ProcessKey(eKeys Key);

public:
    cSkinElchiSetupPage(void);
    virtual ~cSkinElchiSetupPage();
    virtual void Store(void);
};

#endif //_OSDIMAGE_SETUP_H_

